<div class="content-wrapper">
 <section class="content-header">
  <h1>
    <?= $page_title ?>
    <small><?= $page_desc ?></small>
  </h1>
  <ol class="breadcrumb">
   <li><a href="<?= base_url() ?>"><i class="fa fa-star-o" aria-hidden="true"></i>Home</a></li>
   <li><?= $menu ?></li>
   <li class="active"><?= $sub_menu ?></li>
 </ol>
</section>
<section class="content">
  <div class="row">
     <div class="col-md-12">
      <?php if($this->session->flashdata('message')) { 
        $flashdata = $this->session->flashdata('message'); ?>
        <div class="alert alert-<?= $flashdata['class'] ?>">
         <button class="close" data-dismiss="alert" type="button">×</button>
         <?= $flashdata['message'] ?>
       </div>
     <?php } ?>
   </div>
   <div class="col-md-12">
    <div class="box box-warning">
     <div class="box-header with-border">
       <h3 class="box-title">Edit Driver Details</h3>
     </div>
      <form role="form" action="<?=base_url('Driver/update/'.encode_param($driver_id))?>" method="post" class="validate" data-parsley-validate="" enctype="multipart/form-data">
        <div class="box-body">
          <div class="col-md-6">
           <div class="form-group">
             <label for="exampleInputEmail1">First Name</label>
             <input type="text" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="2"  data-parsley-pattern="^[a-zA-Z\ . ! @ # $ % ^ & * () + = , \/]+$" required="" name="first_name" value="<?= $driver_data->first_name ?>" placeholder="Enter Driver Name">
             <span class="glyphicon  form-control-feedback"></span>
           </div>
           <div class="form-group">
             <label for="exampleInputEmail1">Last Name</label>
             <input type="text" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="2"  data-parsley-pattern="^[a-zA-Z\ . ! @ # $ % ^ & * () + = , \/]+$" required="" name="last_name" value="<?= $driver_data->last_name ?>" placeholder="Enter Driver Name">
             <span class="glyphicon  form-control-feedback"></span>
           </div>
           <div class="form-group">
             <label for="exampleInputEmail1">Email</label>
             <input type="email" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="2" value="<?= $driver_data->email_id ?>"  required="" name="email_id" placeholder="Enter email ID">
             <span class="glyphicon  form-control-feedback"></span>
           </div> 
         <div class="form-group">
           <label for="exampleInputEmail1">Phone</label>
           <input type="number" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="2" value="<?= $driver_data->phone ?>"  required="" name="phone" placeholder="Enter Phone Number">
             <span class="glyphicon  form-control-feedback"></span> 
         </div>
          <div class="form-group">
            <label>Address</label>
            <input type="text" class="form-control required" data-parsley-trigger="change"  
             data-parsley-minlength="2" required="" name="address" value="<?= $driver_data->address ?>"   placeholder="Enter Driver Address">
            <span class="glyphicon  form-control-feedback"></span>
          </div>
          <div class="form-group">
            <label>City</label>
            <input type="text" class="form-control required" data-parsley-trigger="change" 
             data-parsley-minlength="2" required="" value="<?= $driver_data->city ?>"  
             name="city" placeholder="Enter Driver City">
            <span class="glyphicon  form-control-feedback"></span>
          </div>
          <div class="form-group">
            <label>State</label>
            <input type="text" class="form-control required" value="<?= $driver_data->state ?>" data-parsley-trigger="change" data-parsley-minlength="2" required="" name="state" 
            placeholder="Enter Driver State">
            <span class="glyphicon  form-control-feedback"></span> 
          </div>    
        </div>
        <div class="col-md-6">
          <div class="form-group">
            <label for="exampleInputEmail1">Licence</label>
            <div class="col-md-12">
              <div class="col-md-3">
                <img id="licence_img" src="<?= base_url($driver_data->licence) ?>" onerror="this.src='<?=base_url("assets/images/no_image.png")?>';" height="75" width="75" />
              </div>
              <div class="col-md-9" style="padding-top: 25px;">
                <input name="licence" type="file" accept="image/*" onchange="setImg(this,'licence_img');" />
              </div>
            </div>
          </div>
         <div class="form-group">
            <label for="exampleInputEmail1">Profile Picture</label>
            <div class="col-md-12">
              <div class="col-md-3">
                <img id="profile_image" src="<?= base_url($driver_data->profile_image) ?>" onerror="this.src='<?=base_url("assets/images/user_avatar.jpg")?>';" height="75" width="75" />
              </div>
              <div class="col-md-9" style="padding-top: 25px;">
                <input name="profile_image" type="file" accept="image/*" onchange="setImg(this,'profile_image');" />
              </div>
            </div>
          </div>
          <div class="form-group">
            <label style="padding-top:22px;">Licence Number</label>
            <input type="text" class="form-control required" data-parsley-trigger="change"  
            data-parsley-minlength="2" required="" name="licence_number" value="<?= $driver_data->licence_number ?>" placeholder="Enter Driver Licence Number">
            <span class="glyphicon  form-control-feedback"></span>
          </div>
          <div class="form-group">
            <label>Licence Expiry Date</label>
            <div class="input-group date" data-provide="datepicker">
              <input id="datepicker" type="text" class="form-control required" data-parsley-trigger="change" data-parsley-minlength="2" required="" name="licence_exp_date" value="<?= $driver_data->licence_exp_date ?>"  placeholder="Pick Licence Expiry Date" autocomplete="off">
              <div class="input-group-addon">
                <i class="fa fa-calendar"></i>
              </div>
            </div>
          </div>  
          <?php if($this->session->userdata['user_type'] == 1){ ?>
            <div class="form-group">
              <label for="exampleInputEmail1">Company</label>
              <select name="company_id" class="form-control required" data-parsley-trigger="change" required>
                <option selected disabled>Select Company</option>
                <?php 
                  if(!empty($companies)){
                    foreach ($companies as $company) {
                      $chkFlag = ($company->company_id == $driver_data->company_id)?'selected':'';
                      echo '<option '.$chkFlag.' value="'.$company->company_id.'">'.$company->company_name.'</option>';
                    } 
                  }
                ?>
              </select> 
            </div>
          <?php } ?>
          <div class="form-group">
            <label for="exampleInputEmail1">Select Vehicle</label>
            <select name="vehicle_id" class="form-control required" data-parsley-trigger="change" required>
              <option selected disabled>Select Vehicle Type</option>
              <?php 
                if(!empty($vehicle_types)){
                  foreach ($vehicle_types as $type) {
                    $chkFlag = ($type->vehicle_id == $driver_data->vehicle_id)?'selected':'';
                    echo '<option '.$chkFlag.' value="'.$type->vehicle_id.'">'.$type->vehicle_type.'</option>';
                  } 
                }
              ?>
            </select> 
          </div>
          <div class="form-group">
            <label for="exampleInputEmail1">Select Vehicle Model</label>
            <select name="vehicle" class="form-control required" data-parsley-trigger="change" required>
              <?php 
                if(!empty($vehicles)){
                  if(!empty($driver_data->vehicle)){
                    $chkFlag = ($vehicles->vehicle_id == $driver_data->vehicle)?'selected':'';
                    echo '<option '.$chkFlag.' value="'.$vehicles->vehicle_id.'">'.
                            $vehicles->vehicle_model.' - '.$vehicles->vehicle_reg_no.
                         '</option>';
                  } else {
                    echo '<option selected disabled>Select Vehicle Model</option>';
                    foreach ($vehicles AS $vehicle) {
                      echo '<option value="'.$vehicle->vehicle_id.'">'.
                              $vehicle->vehicle_model.' - '.$vehicle->vehicle_reg_no.
                           '</option>';
                    }
                  }
                }
              ?>
            </select> 
          </div>
        </div>  
        <div class="col-md-12" style="text-align: center;">          
          <div class="box-footer">
            <button type="submit" class="btn btn-primary">Submit</button>
          </div>        
        </div> 
      </form>
    </div>
  </section>
</div>