<?php
  $headerArr = array("Medicaid_Number","Members_Last_Name","Members_First_Name","Members_Date_of_Birth","Members_Age","Members_Phone_Number","Members_Alt_Phone","Trip_Number","Appointment_Date","Appointment_Day_of_Week","Appointment_Time","Trip_Reason_Code","Trip_Status","Vehicle_Type","Trip_Type","Wheelchair_Flag","Crutches_/_Walker_/_Cane_Flag","Number_of_Car_Seats_Required","Pregnant_Flag","Number_of_Additional_Passengers","Additional_Passengers_With_Appointments","Trip_Mileage","Trip_Cost","Pickup_Address","Pickup_City","Pickup_State","Pickup_Zip_Code","Delivery_Name","Delivery_Address","Delivery_City","Delivery_State","Delivery_Zip_Code","Delivery_Phone_Number","Special_Needs","Inst_/_Directions","Return_Time","Attendant_Flag","Trip_Bid_Status","Date_Trip_Bid_Status_Was_Changed","Confirmation_Number","Copay","Trip_Status_Date");
?>
<div class="content-wrapper" >
 <!-- Content Header (Page header) -->
 <section class="content-header">
  <h1>
     <?= $page_title ?>
      <small><?= $page_desc ?></small>
  </h1>
  <ol class="breadcrumb">
   <li><a href="<?= base_url() ?>"><i class="fa fa-star-o" aria-hidden="true"></i>Home</a></li>
   <li>User</li>
   <li class="active">View User</li>
 </ol>
</section>
<!-- Main content -->
<section class="content">
  <div class="row">
    <div class="col-md-12">
        <?php if($this->session->flashdata('message')) { 
            $flashdata = $this->session->flashdata('message'); ?>
            <div class="alert alert-<?= $flashdata['class'] ?>">
               <button class="close" data-dismiss="alert" type="button">×</button>
               <?= $flashdata['message'] ?>
            </div>
        <?php } ?>
   </div>

   <div class="col-md-12">
    <div class="box box-warning">
     <div class="box-header with-border">
       <h3 class="box-title">Ride Management</h3>
     </div>
     <div class="box-body">
        <form role="form" id="getBrokerRides" action="<?=base_url('Ride/view_rides')?>" method="post" class="validate" data-parsley-validate="" enctype="multipart/form-data">
          <div class="col-md-12">
            <div class="form-group">
             <label>Select Broker</label>
             <select name="broker_id" class="form-control" onchange="getBrokerRides()">
               <option selected value="">All Rides</option>
               <?php 
                 if(!empty($broker_data)){
                   foreach ($broker_data as $broker) {
                     $chkFlg = ($broker_id == $broker->broker_id)?'selected':'';
                     echo '<option value="'.$broker->broker_id.'" '.$chkFlg.'>
                            '.$broker->broker_name.
                          '</option>';
                   } 
                 }
               ?>
               <option value="0" <?= ($broker_id != '' && $broker_id == 0)?'selected':'' ?>>Phone Bookings</option>
             </select> 
           </div>
          </div>
        </form>
      </div>
    </div>
   </div>

   <div class="col-xs-12">
    <div class="box">
      <div class="box-body">
        <table class="table table-bordered table-striped datatable ">
          <thead>
            <tr>
              <th class="hidden">ID</th>
              <th width="100px"></th>
              <?php
                foreach ($headerArr AS $head) {
                  echo '<th width="100%;">'.str_replace('_',' ',$head).'</th> ';
                }
              ?>
              <th width="150px;">Data Source</th>
            </tr>
          </thead> 
          <tbody>
          <?php 
            $ride_ids = array();
            $report_data = array();
            if(!empty($ride_data)){
              foreach($ride_data as $ride) {
                $ride_ids[] = $ride->transport_id;
                $json_ride = json_decode($ride->data,true);
                if(empty($json_ride)){
                  continue; 
                }
                ?>
                  <tr>
                    <th class="hidden"><?= $ride->transport_id ?></th>
                    <th class="center">
                      <?php if($this->session->userdata['user_type'] != 1){ 
                        $style = 'style="color:red;";';
                        $ride->is_scheduled = (isset($ride->is_scheduled))?$ride->is_scheduled:0;
                        if($ride->is_scheduled == 1){
                          $style = 'style="color:green;";';
                        } ?>
                        <a id="markSchedule_<?= $ride->transport_id ?>" transport_id="<?= $ride->transport_id ?>"
                           is_scheduled="<?= $ride->is_scheduled ?>" class="cpoint">
                          <i class="fa fa-fw fa-check" <?=$style?> ></i>
                        </a>
                      <?php } ?>
                      <a id="viewRideDetails" key="<?= $ride->transport_id ?>" class="cpoint">
                        <i class="fa fa-fw fa-eye"></i>
                      </a>
                      <a href="<?= base_url("Ride/changeStatus/".encode_param($ride->transport_id))."/2" ?>" 
                        onClick="return doconfirm()"><i class="fa fa-fw fa-trash" style="color:#dd4b39;"></i></a>
                    </th>

                    <?php 
                      $json_ride = array_merge(array_flip($headerArr),$json_ride);
                      foreach($json_ride AS $key => $data){
                        if(!in_array($key,$headerArr)){
                          continue;
                        }
                        switch ($key){
                          case 'Wheelchair_Flag': $json_ride[$key] = ($data == 1)?'YES':'NO'; break;
                          case 'Attendant_Flag': $json_ride[$key] = ($data == 1)?'YES':'NO'; break;
                          case 'Pregnant_Flag': $json_ride[$key] = ($data == 1)?'YES':'NO'; break;
                          case 'Members_Date_of_Birth': $json_ride[$key] = ($data == 1)?'YES':'NO'; break; 
                          case 'Crutches_/_Walker_/_Cane_Flag': $json_ride[$key] = ($data == 1)?'YES':'NO'; break;
                          case 'Trip_Reason_Code': $json_ride[$key] = $ride->reason; break;
                          case 'Vehicle_Type': $json_ride[$key] = $ride->vehicle_type; break;
                          case 'Trip_Type': $json_ride[$key] = $ride->trip_type; break;
                          case 'Trip_Status': $json_ride[$key] = $ride->trip_status; break;
                        }
                        echo '<td class="center">'.$data.'</td>';
                        $report_data[$ride->transport_id] = $json_ride; 
                      } ?>
                    <th class="center"><?= (!empty($ride->broker_name)?$ride->broker_name:'Phone Booking') ?></th>
                  </tr>
              <?php }
            }?>
          </tbody>
        </table>
        <?php if($this->session->userdata['user_type'] != 1){ ?>
          <div class="col-md-1" style="float:right;padding:initial;">
            <a id="scheduleAll" class="btn btn-sm btn-primary">
              Schedule All
            </a>
          </div>
        <?php } ?>
      </div>
    </div>
   </div>
  </div>
 </section>
</div>
<script type="text/javascript">
   ride_ids = <?= json_encode($ride_ids); ?>;
   report_data = <?= json_encode($report_data); ?>;
</script>
